<template>
  <view id="home">
    <manage-home v-if="userType==1" ref="manage"></manage-home>
    <user-home v-if="userType==2"></user-home>
    <supplier-home v-if="userType==3"></supplier-home>
    <tab-bar v-if="userType!=3"></tab-bar>
  </view>
</template>
<script>
import { manageHome } from '@/pages/manageWorkbench'
import { userHome } from '@/pages/studentWorkbench.vue'
import { supplierHome } from '@/pages/supplierWorkbench.vue'
import { tabBar } from '@/component/tabBar.vue'
export default {
  name: "home",
  components: {
    manageHome,
    userHome,
    supplierHome,
    tabBar
  },
  data() {
    return {
      userType:0,
    }
  },
  onLoad() {

  },
  onShow(){
    if(uni.getStorageSync('token')&&uni.getStorageSync('userId')&&uni.getStorageSync('userType')){
      this.userType = uni.getStorageSync('userType')
    }else{
      uni.removeStorageSync('token');
      uni.removeStorageSync('userId');
      uni.removeStorageSync('userType');
      uni.redirectTo({
        url: '/pages/login',
      });
    }
  },
  methods: {

  },
  onHide(){
    this.userType = 0;
  },
  onUnload(){
    this.userType = 0;
  }
}
</script>

<style lang="stylus" scoped>
#home{
  height:100%;
}
</style>
